Summary:        OpenSSL/LibreSSL pseudo-random number generator access
Name:           perl-Crypt-OpenSSL-Random
Version:        0.15
Release:        3%{?dist}
License:        GPL+ or Artistic 
URL:            https://metacpan.org/release/Crypt-OpenSSL-Random
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Crypt-OpenSSL-Random-%{version}.tar.gz

BuildRequires: perl(strict) perl(Test::More) perl(vars) perl(XSLoader)
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.11 perl(Exporter) perl(ExtUtils::MakeMaker)
BuildRequires: make perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires: gcc openssl openssl-devel coreutils findutils


%{?perl_default_filter}

%description
Crypt::OpenSSL::Random provides the ability to seed and query the OpenSSL
and LibreSSL library's pseudo-random number generators.

%prep
%autosetup -n Crypt-OpenSSL-Random-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install

find %{buildroot} -depth -type d -empty -exec rmdir {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/*

%changelog
* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.15-3
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 cunshunxia <cunshunxia@tencent.com> - 0.15-1
- initial build
